DOM::HTMLFontElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLFontElement Class Reference

Local change to font. More...

`#include <html_inline.h>`

Inheritance diagram for DOM::HTMLFontElement:

[legend]
Collaboration diagram for DOM::HTMLFontElement:

[legend]
List of all members.

## Public Member Functions
| HTMLFontElement (const HTMLFontElement &other)
| HTMLFontElement (const Node &other)
HTMLFontElement & | operator= (const HTMLFontElement &other)
HTMLFontElement & | operator= (const Node &other)
DOMString | color () const
| Font color.
void | setColor (const DOMString &)
| see color
DOMString | face () const
| Font face identifier.
void | setFace (const DOMString &)
| see face
DOMString | size () const
| Font size.
void | setSize (const DOMString &)
| see size
## Protected Member Functions
| HTMLFontElement (HTMLFontElementImpl *impl)

## Detailed Description

Local change to font.

See the FONT element definition in HTML 4.0. This element is deprecated in HTML 4.0.

Definition at line 293 of file html_inline.h.

## Member Function Documentation

DOMString HTMLFontElement::color | ( |  | ) | const

| Font color. See the color attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 282 of file html_inline.cpp.

void HTMLFontElement::setColor | ( | const DOMString & |  | ) |

| see color Definition at line 288 of file html_inline.cpp.

DOMString HTMLFontElement::face | ( |  | ) | const

| Font face identifier. See the face attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 293 of file html_inline.cpp.

void HTMLFontElement::setFace | ( | const DOMString & |  | ) |

| see face Definition at line 299 of file html_inline.cpp.

DOMString HTMLFontElement::size | ( |  | ) | const

| Font size. See the size attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 304 of file html_inline.cpp.

void HTMLFontElement::setSize | ( | const DOMString & |  | ) |

| see size Definition at line 310 of file html_inline.cpp.

The documentation for this class was generated from the following files:

- html_inline.h
- html_inline.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:38:48 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001